Package io.flutter.embedding.android

## Enum TransparencyMode

- java.lang.Object
- - java.lang.Enum<TransparencyMode>
  - - io.flutter.embedding.android.TransparencyMode

- All Implemented Interfaces:
    `Serializable`, `Comparable<TransparencyMode>`

      public enum TransparencyMode
      extends Enum<TransparencyMode>

  Transparency mode for a Flutter UI.

  `TransparencyMode` impacts the visual behavior and performance of a `FlutterSurfaceView`, which is displayed when a Flutter UI uses `RenderMode.surface`.

  `TransparencyMode` does not impact `FlutterTextureView`, which is displayed when a Flutter UI uses `RenderMode.texture`, because a `FlutterTextureView` automatically comes with transparency.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `opaque` | Renders a Flutter UI without any transparency.
    `transparent` | Renders a Flutter UI with transparency.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TransparencyMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TransparencyMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### opaque

          public static final TransparencyMode opaque

      Renders a Flutter UI without any transparency. This affects Flutter UI's with `RenderMode.surface` by introducing a base color of black, and places the `FlutterSurfaceView`'s `Window` behind all other content.

      In `RenderMode.surface`, this mode is the most performant and is a good choice for fullscreen Flutter UIs that will not undergo `Fragment` transactions. If this mode is used within a `Fragment`, and that `Fragment` is replaced by another one, a brief black flicker may be visible during the switch.

    - #### transparent

          public static final TransparencyMode transparent

      Renders a Flutter UI with transparency. This affects Flutter UI's in `RenderMode.surface` by allowing background transparency, and places the `FlutterSurfaceView`'s `Window` on top of all other content.

      In `RenderMode.surface`, this mode is less performant than `opaque`, but this mode avoids the black flicker problem that `opaque` has when going through `Fragment` transactions. Consider using this `TransparencyMode` if you intend to switch `Fragment`s at runtime that contain a Flutter UI.

  - ### Method Detail

    - #### values

          public static TransparencyMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransparencyMode c : TransparencyMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransparencyMode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null